0

Installed Magento 2.3.1 with sample data there are no js errors on the console. After changing the theme to Ves Need from Venustheme.

http://www.venustheme.com/theme/ves-need/

On hard refresh, the below issue occurs.

Uncaught TypeError: Cannot read property 'version' of undefined

Can someone please help me to sort out this issue.

2
  • can you post complete error log
    – fmsthird
    Apr 8, 2019 at 9:56
  • 1
    Upgraded the jquery-ui from 1.10 to 1.12, now no issues. Thank you so much. Apr 8, 2019 at 10:18

1 Answer 1

3

Updated jquery-ui from 1.10 to 1.12 now the version issue has been resolved.

6
  • I'm getting this error as well, could you share the process you used to upgrade jQuery? Jun 5, 2019 at 15:47
  • 1
    On Magento 2.2, under lib/web/jquery/jquery-ui.js replace the downloaded jquery-ui codes. Finally, run the below command from the Magento root directory code sudo chmod 777 -R var/* pub/* generated/* php bin/magento setup:upgrade php bin/magento setup:di:compile php bin/magento setup:static-content:deploy -f php bin/magento indexer:reindex php bin/magento cache:clean php bin/magento cache:flush sudo chmod 777 -R var/* pub/* generated/* code Jun 6, 2019 at 16:01
  • This is one of the worst solutions I have ever seen, after an upgrade - your file will be overridden. This makes project hard to update which is known as big no no.
    – Macas
    Oct 1, 2020 at 13:08
  • @Macas It worked on my end. That's why posted as an answer here. Oct 16, 2020 at 5:56
  • Even if it is working, it doesn't mean that it is a right solution. At least you could inform other users that this is a temporary workaround not a fix.
    – Macas
    Oct 16, 2020 at 9:51

Not the answer you're looking for? Browse other questions tagged or ask your own question.